<% field_id = "questionnaire_responses_#{answer_idx}" %>
<% record_what_happened_survey = current_participatory_space.record_what_happened_survey.presence.to_s.chomp("/") %>
<% if answer.question.separator? %>
  <%= render partial: "decidim/forms/questionnaires/answers/#{answer.question.question_type}", locals: { answer: answer, answer_form: answer_form, answer_idx: answer_idx, field_id: field_id, disabled: disabled } %>
  <%= answer_form.hidden_field :question_id %>
<% elsif answer.question.title_and_description? %>
  <%= label_tag field_id, translated_attribute(answer.question.body), class: "questionnaire-title_and_description" %>
  <% if translated_attribute(answer.question.description).present? %>
    <div class="help-title_and_description ">
      <%= decidim_sanitize_editor translated_attribute(answer.question.description) %>
    </div>
  <% end %>
  <%= render partial: "decidim/forms/questionnaires/answers/#{answer.question.question_type}", locals: { answer: answer, answer_form: answer_form, answer_idx: answer_idx, field_id: field_id, disabled: disabled } %>
  <%= answer_form.hidden_field :question_id %>
<% else %>
  <% survey_link = current_participatory_space.organization_info_survey.presence.to_s.chomp("/") %>
  <% if survey_link.present? && request.original_url.include?(survey_link) && field_id.include?("questionnaire_responses_0") %>
    <strong>Conferência de Origem</strong>
    <input type="text" id="conference-title" name="conference-title" value="<%= translated_attribute(Decidim::Meetings::Meeting.find_by_id(params[:meeting_id]).try(:title))%>" disabled=true/>
  <% end %>
  <% case answer.question.question_type %>
  <% when "single_option", "multiple_option", "sorting" %>
    <label class="questionnaire-question"><%= answer.label(cleaned_answer_idx) %></label>
  <% else %>
    <% if translated_attribute(answer.question.body) != "origin_meeting_id" %>
      <%= label_tag field_id, answer.label(cleaned_answer_idx), class: "questionnaire-question" %>
    <% end %>
  <% end %>
  <% if translated_attribute(answer.question.description).present? %>
    <div class="help-text">
      <%= decidim_sanitize_editor translated_attribute(answer.question.description) %>
    </div>
  <% end %>
  <%= render partial: "decidim/forms/questionnaires/answers/#{answer.question.question_type}", locals: { answer: answer, answer_form: answer_form, answer_idx: answer_idx, field_id: field_id, disabled: disabled, maxlength: (answer.question.max_characters if answer.question.max_characters.positive?) } %>
  <% if (
    record_what_happened_survey.present? && request.original_url.include?(record_what_happened_survey) && 
    params[:meeting_id].present? && translated_attribute(answer.question.body) != "origin_meeting_id") %>
  <div class="answer-questionnaire-public-information">
    <%= answer_form.check_box :is_public_information, label: false, id: field_id%>
    <label for="<%= field_id %>" class="custom-checkbox">
      Marque para tornar esta informação pública
    </label>
  </div>
<% end %>
<%= answer_form.hidden_field :question_id %>
<% if answer.question.max_choices %>
  <small class="form-error max-choices-alert"><%= t(".max_choices_alert") %></small>
<% end %>
<% answer.errors.full_messages.each do |msg| %>
  <small class="form-error is-visible"><%= msg %></small>
<% end %>
<% end %>
